function TwitterControl()
{
	this.TweetBtLabel;
	this.TweetBtDataCount;
	this.TweetBtDataSize;
	this.TweetBtAlign;
	this.TweetBtCountUrl;
	this.TweetBtDnt;
	this.TweetBtInReplyTo;
	this.TweetBtText;
	this.TweetBtUrl;
	this.TweetBtHashTags;
	this.TweetBtRelated;
	this.FollowBtLabel;
	this.FollowBtDataShowCount;
	this.FollowBtDataShowScreenName;
	this.FollowBtDataSize;
	this.FollowBtDnt;
	this.EmbeddedTweetsLabel;
	this.EmbeddedTweetsId;
	this.EmbeddedTweetsCards;
	this.EmbeddedTweetsConversation;
	this.EmbeddedTweetsDnt;
	this.EmbeddedTweetsTheme;
	this.EmbeddedTweetsLinkColor;
	this.EmbeddedTweetsAlign;
	this.VideoLabel;
	this.VideoId;
	this.VideoStatus;
	this.TimelinesLabel;
	this.TimelinesWidgetId;
	this.TimelinesChrome;
	this.TimelinesTweetLimit;
	this.TimelinesAriaPolite;
	this.TimelinesRelated;
	this.TimelinesTheme;
	this.TimelinesLinkColor;
	this.TimelinesBorderColor;
	this.TimelinesIserId;
	this.TimelinesListOwnerScreenName;
	this.TimelinesListOwnerId;
	this.TimelinesListSlug;
	this.TimelinesListId;
	this.TimelinesCustomTimelineId;
	this.Width;
	this.Height;
	this.Href;
	this.DataVia;
	this.DataLang;
	this.Type;

	this.show = function()
	{
		///UserCodeRegionStart:[show] (do not remove this comment.)

		var PageUrl  = "";
		var buffer   = '';

		buffer = '<div id="fb-root"></div>		';

		if(this.Type=="1") {
			//Compartilhar um link 
			PageUrl = (this.Href=="") ? "https://twitter.com/share" : this.Href; 
			buffer += '<a href="'+ PageUrl +'" class="twitter-share-button" ';
			if(this.TweetBtDataCount!="") buffer += ' data-count="'+ this.TweetBtDataCount +'"  ';
			if(this.DataVia!="") buffer += ' data-via="'+ this.DataVia+'" ' ;
			if(this.TweetBtInReplyTo!="") buffer += ' data-in-reply-to="'+ this.TweetBtInReplyTo +'" ' ;
			if(this.TweetBtText!="") buffer += ' data-text ="'+ this.TweetBtText+'"  ' ;
			if(this.TweetBtUrl!="") buffer += ' data-url="'+ this.TweetBtUrl +'" ' ;
			if(this.TweetBtHashTags!="") buffer += ' data-hashtags="'+ this.TweetBtHashTags +'" ' ;
			if(this.TweetBtRelated!="") buffer += ' data-related="'+ this.TweetBtRelated +'" ' ;
			if(this.TweetBtDataSize!="") buffer += ' data-size="'+ this.TweetBtDataSize +'" ' ;
			if(this.TweetBtAlign!="") buffer += ' data-align="'+ this.TweetBtAlign +'" ' ;
			if(this.TweetBtCountUrl!="") buffer += ' data-counturl="'+ this.TweetBtCountUrl +'" ' ;
			if(this.DataLang!="") buffer += ' data-lang="'+ this.DataLang +'" ' ;
			if(this.TweetBtDnt!="") buffer += ' data-dnt="'+ this.TweetBtDnt +'" ' ;
			var TweetBtLabel = this.TweetBtLabel.replace("DataVia", this.DataVia); 
			buffer += ' >'+ TweetBtLabel +'</a>';
		}
		if(this.Type=="2") {
			//Follow Button
			PageUrl = (this.Href=="") ? "https://twitter.com/"+ this.DataVia : this.Href; 
			buffer += '<a href="'+ PageUrl +'" class="twitter-follow-button" ';
			if(this.DataVia!="") buffer += ' data-screen-name="'+ this.DataVia+'" ' ;
			if(this.FollowBtDataShowScreenName!="") buffer += ' data-show-screen-name ="'+ this.FollowBtDataShowScreenName +'"  ';
			if(this.FollowBtDataShowCount!="") buffer += ' data-show-count="'+ this.FollowBtDataShowCount +'" ' ;
			if(this.FollowBtDataSize!="") buffer += ' data-size ="'+ this.FollowBtDataSize+'"  ' ;
			if(this.DataLang!="") buffer += ' data-lang="'+ this.DataLang +'" ' ;
			if(this.FollowBtDnt!="") buffer += ' data-dnt="'+ this.FollowBtDnt +'" ' ;
			var FollowBtLabel = this.FollowBtLabel.replace("DataVia", this.DataVia); 
			buffer += ' >'+ FollowBtLabel+'</a>';
		}
		if(this.Type=="3") {
			//Embedded Tweets
			PageUrl = (this.Href=="") ? "https://twitter.com/Weltowjn/status/619511906018193408" : this.Href; 
			buffer += '<blockquote class="twitter-tweet"';
			if(this.EmbeddedTweetsId!="") buffer += ' data-id="'+ this.EmbeddedTweetsId +'"  ';
			if(this.EmbeddedTweetsCards!="") buffer += ' data-cards="'+ this.EmbeddedTweetsCards+'" ' ;
			if(this.EmbeddedTweetsConversation!="") buffer += ' data-conversation="'+ this.EmbeddedTweetsConversation +'" ' ;
			if(this.DataLang!="") buffer += ' data-lang="'+ this.DataLang +'" ' ;
			if(this.EmbeddedTweetsDnt!="") buffer += ' data-dnt="'+ this.EmbeddedTweetsDnt +'" ' ;
			if(this.EmbeddedTweetsTheme!="") buffer += ' data-theme ="'+ this.EmbeddedTweetsTheme+'"  ' ;
			if(this.EmbeddedTweetsLinkColor!="") buffer += ' data-link-color="'+ this.EmbeddedTweetsLinkColor +'" ' ;
			if(this.Width!="") buffer += ' data-width="'+ this.Width +'" ' ;
			if(this.EmbeddedTweetsAlign!="") buffer += ' data-align="'+ this.EmbeddedTweetsAlign +'" ' ;
			var EmbeddedTweetsLabel = this.EmbeddedTweetsLabel.replace("DataVia", this.DataVia); 
			buffer += '> — '+ EmbeddedTweetsLabel+' ';
			buffer += ' <a href="'+ PageUrl +'">';
			buffer += '</a>'
			buffer += '</blockquote>';

		}	
		if(this.Type=="4") {
			//Embedded Video
			PageUrl = (this.Href=="") ? "https://twitter.com/twitter/status/560070183650213889" : this.Href; 
			buffer += '<blockquote class="twitter-video" ';
			if(this.VideoId!="") buffer += ' data-id="'+ this.VideoId +'"  ';
			if(this.VideoStatus!="") buffer += ' data-status="'+ this.VideoStatus+'" ' ;
			if(this.DataLang!="") buffer += ' data-lang="'+ this.DataLang +'" ' ;
			buffer += '><p> <a href="'+ PageUrl +'">' + PageUrl ; 
			buffer += '</a>'
			var VideoLabel = this.VideoLabel.replace("DataVia", this.DataVia); 
			buffer += '</p> — '+ VideoLabel+'';
			buffer += ' <a href="'+ PageUrl +'">';
			buffer += '</a>'
			buffer += '</blockquote>';
		}

		if(this.Type=="5") {
			//Embedded Timelines
			PageUrl = (this.Href=="") ? "https://twitter.com/TwitterDev" : this.Href; 
			buffer += '<a href="'+ PageUrl +'" class="twitter-timeline" ';
			if(this.TimelinesWidgetId!="") buffer += ' data-widget-id="'+ this.TimelinesWidgetId +'"  ';
			if(this.TimelinesChrome!="") buffer += ' data-chrome="'+ this.TimelinesChrome+'" ' ;
			if(this.TimelinesTweetLimit!="") buffer += ' data-tweet-limit="'+ this.TimelinesTweetLimit +'" ' ;
			if(this.TimelinesAriaPolite!="") buffer += ' data-aria-polite ="'+ this.TimelinesAriaPolite+'"  ' ;
			if(this.TimelinesRelated!="") buffer += ' data-related="'+ this.TimelinesRelated +'" ' ;
			if(this.DataLang!="") buffer += ' data-lang="'+ this.DataLang +'" ' ;
			if(this.TimelinesTheme!="") buffer += ' data-theme="'+ this.TimelinesTheme +'" ' ;
			if(this.TimelinesBorderColor!="") buffer += ' data-border-color="'+ this.TimelinesBorderColor +'" ' ;
			if(this.Width!="") buffer += ' data-width="'+ this.Width +'" ' ;
			if(this.Height!="") buffer += ' data-height="'+ this.Height +'" ' ;
			if(this.DataVia!="") buffer += ' data-screen-name="'+ this.DataVia +'" ' ;
			if(this.TimelinesIserId!="") buffer += ' data-user-id="'+ this.TimelinesIserId +'" ' ;
			if(this.TimelinesListOwnerScreenName!="") buffer += ' data-list-owner-screen-name="'+ this.TimelinesListOwnerScreenName +'" ' ;
			if(this.TimelinesListOwnerId!="") buffer += ' data-list-owner-id="'+ this.TimelinesListOwnerId +'" ' ;
			if(this.TimelinesListSlug!="") buffer += ' data-list-slug="'+ this.TimelinesListSlug +'" ' ;
			if(this.TimelinesListId!="") buffer += ' data-list-id="'+ this.TimelinesListId +'" ' ;
			if(this.TimelinesCustomTimelineId!="") buffer += ' data-custom-timeline-id="'+ this.TimelinesCustomTimelineId +'" ' ;
			var TimelinesLabel = this.TimelinesLabel.replace("DataVia", this.DataVia); 
			buffer += ' >'+ TimelinesLabel+'</a>';
		}

		this.setHtml(buffer);
		
		(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//platform.twitter.com/widgets.js";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, 'script', 'twitter-wjs'));


		
		
		
		
		///UserCodeRegionEnd: (do not remove this comment.)
	}
	///UserCodeRegionStart:[User Functions] (do not remove this comment.)


	
	
	
	
	///UserCodeRegionEnd: (do not remove this comment.):
}
